DeployerReport.DeployedRunningInstance
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.deployment
Class DeployerReport.DeployedRunningInstance

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.deployment.DeployerReport.DeployedRunningInstance

Enclosing class:
  DeployerReport

    public final class DeployerReport.DeployedRunningInstance

extends java.lang.Object

Constructor Summary
`DeployerReport.DeployedRunningInstance()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`ScopedRunningInstance` | `getInstance()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getPackageName()`
`java.lang.String` | `getPackageVersion()`
`java.lang.String` | `getRIID()`
`java.lang.String` | `getServiceClass()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getServiceVersion()`
`int` | `hashCode()`
`boolean` | `isAlive()`
`void` | `setAlive(boolean isAlive)`
`void` | `setInstance(ScopedRunningInstance instance)`
`void` | `setMessage(java.lang.String message)`
`void` | `setPackageName(java.lang.String packageName)`
`void` | `setPackageVersion(java.lang.String packageVersion)`
`void` | `setRIId(java.lang.String riid)`
`void` | `setServiceClass(java.lang.String serviceClass)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setServiceVersion(java.lang.String serviceVersion)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployerReport.DeployedRunningInstance

    public DeployerReport.DeployedRunningInstance()

Method Detail

### getInstance

    public ScopedRunningInstance getInstance()

  Returns:
    the instance

### setInstance

    public void setInstance(ScopedRunningInstance instance)

  Parameters:
    `instance` - the instance to set

### getServiceClass

    public java.lang.String getServiceClass()

  Returns:
    the serviceClass

### setServiceClass

    public void setServiceClass(java.lang.String serviceClass)

  Parameters:
    `serviceClass` - the serviceClass to set

### getServiceName

    public java.lang.String getServiceName()

  Returns:
    the serviceName

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Parameters:
    `serviceName` - the serviceName to set

### getServiceVersion

    public java.lang.String getServiceVersion()

  Returns:
    the serviceVersion

### setServiceVersion

    public void setServiceVersion(java.lang.String serviceVersion)

  Parameters:
    `serviceVersion` - the serviceVersion to set

### getPackageName

    public java.lang.String getPackageName()

  Returns:
    the packageName

### setPackageName

    public void setPackageName(java.lang.String packageName)

  Parameters:
    `packageName` - the packageName to set

### getPackageVersion

    public java.lang.String getPackageVersion()

  Returns:
    the packageVersion

### setPackageVersion

    public void setPackageVersion(java.lang.String packageVersion)

  Parameters:
    `packageVersion` - the packageVersion to set

### getRIID

    public java.lang.String getRIID()

  Returns:
    the riid

### setRIId

    public void setRIId(java.lang.String riid)

  Parameters:
    `riid` - the riid to set

### isAlive

    public boolean isAlive()

  Returns:
    the isAlive

### setAlive

    public void setAlive(boolean isAlive)

  Parameters:
    `isAlive` - the isAlive to set

### getMessage

    public java.lang.String getMessage()

  Returns:
    the message

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - the message to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD